import { floorplanService } from '../Service/FloorplanService'
import { mathUtil } from '../MathUtil.js'
import { coordinate } from '../Coordinate'
import Constant from '../Constant'

export default class MoveBgImage {
    constructor() {

    }

    moveFullBgImage(dx,dy, bgImageId) {
        let bgImage = floorplanService.getBgImage()
        if(bgImage.url){
            bgImage.center = {
                x:bgImage.center.x + dx * Constant.defaultZoom/coordinate.zoom,
                y:bgImage.center.y + dy * Constant.defaultZoom/coordinate.zoom,
            }
        }
    }
}

const moveBgImage = new MoveBgImage()
export { moveBgImage }
